import { agEditableRendererStyles, EditableRenderer, getAgEditableRendererTemplate, } from '@genesislcap/grid-pro';
/**
 * @tagname %%prefix%%-editable-renderer
 */
export class ZeroEditableRenderer extends EditableRenderer {
}
/**
 * The Zero Ag Editable Renderer
 *
 * @public
 * @remarks
 * HTML Element: \<zero-editable-renderer\>
 */
export const zeroAgEditableRenderer = ZeroEditableRenderer.compose({
    baseName: 'editable-renderer',
    styles: agEditableRendererStyles,
    template: getAgEditableRendererTemplate('zero'),
});
