import { BooleanRenderer } from '@genesislcap/grid-pro';
/**
 * @tagname %%prefix%%-boolean-renderer
 */
export declare class ZeroBooleanRenderer extends BooleanRenderer {
}
/**
 * The Zero Ag Boolean Renderer
 *
 * @public
 * @remarks
 * HTML Element: \<zero-boolean-renderer\>
 */
export declare const zeroAgBooleanRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<BooleanRenderer, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<BooleanRenderer, any>;
}, typeof ZeroBooleanRenderer>;
//# sourceMappingURL=boolean.renderer.d.ts.map